/**
 * Serving the preload modules script.
 * @param preloadList - list of modules to preload
 */
export var modulesPreloadHandle = function (preloadList) {
    return function (req, res) {
        res.contentType('application/javascript');
        res.send(preloadList.reduce(function (r, i) {
            return r + "\ndocument.write('<link rel=\"modulepreload\" href=\"" + i + "\"/>');";
        }, ''));
    };
};
//# sourceMappingURL=modules-preload-handle.js.map